Delete a Keyphrase - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Delete a Keyphrase
HTTP Request:
POST /v2.0/lexicons/{lexiconId}/entries/{entryId}/keyphrases/{keyphraseId}
cURL Example
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}/keyphrases/{keyphraseId} \
--header 'X-API-Key: <api-key>'
Python Example
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}/keyphrases/{keyphraseId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)
JavaScript Example
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}/keyphrases/{keyphraseId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Example
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}/keyphrases/{keyphraseId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go Example
package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/lexicons/{lexiconId}/entries/{entryId}/keyphrases/{keyphraseId}"
req, _ := http.NewRequest("POST", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Error Response Codes
- 400 Bad Request
{ "type": "Bad Request", "title": "Bad Request Error", "status": 400, "detail": "Validation failed. Missing payload.", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 1000, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {} } - 401 Unauthorized
{ "type": "Unauthorized", "title": "Unauthorized Error", "status": 401, "detail": "<string>", "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432", "code": 401, "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f", "details": {} }
Response
- 204 Success message indicating the keyphrase was successfully removed from the entry.